[plugin]Admin_users_rights

bonjour à tous et à toutes,
je vous met à disposition un plugin qui va vous permettre de gérer finement les droits des différentes catégories d'utilisateurs enregistrés dans pluxml (rédacteur, éditeur, modérateur, manageur, administrateur) sur les différentes catégories du blog (article, catégorie, page statique, médias, paramètres, commentaire).
Pour télécharger ce plugin et assurer son support, un ami m'a ouvert un espace sur son forum dont l'adresse est http://forum.lebrikabrak.info/index.php?p=forum&f_id=10.
Je vous invite donc à vous y rendre si vous êtes intéressé par ce plugin.
Cordialement.
«1

Réponses

  • Intéressant tout ça, je vais essayer de faire un test rapidement.
  • bonne initiative ;)
    et il tourne sous quelles versions de PluXml ?
  • RohirrimRohirrim Membres
    décembre 2011 modifié
    amusant ça, d'utiliser un forum "Guppy" pour des utils "pluxml" (je suis aussi utilisateur de Guppy)...
  • Bonsoir,
    @bg62 : la version mise à disposition tourne avec pluxml 5.1.4 et pas avec 5.1.3.
    Sinon j'en ai une autre qui tourne avec la version 5.1.3. En fait, je m'apprêtais à la sortir quand j'ai vu la mise à jour de pluxml en 5.1.4. Du coup, j'ai du faire quelques rectifications comme par exemple l'enlèvement de l'option "suppression des articles" pour les rédacteurs et les éditeurs vu que ça a été ajouté en natif dans pluxml. Il peut rester des bugs avec 5.1.4 vu que le plugin a été réalisé au départ pour une version 5.1.3.

    @Rohirrim : c'est vrai que le forum de jchouix sert à faire le support de ses plugins pour guppy mais ce n'est pas un forum "guppy" sinon je ne pense pas qu'il m'aurait proposé de m'ouvrir une section du forum pour le support de mon plugin. Ce qui est vrai aussi, c'est que je me suis inspiré de son plugin "adm_redacteurs" et il m'a donné un coup de main pour faire le mien.

    Cordialement.
  • édites le post d'origine et mets un lien vers les deux versions ... tout le monde ne se décide pas forcément à faire une mise à jour ;)
  • Tout le monde a peut-être tort alors. Bon cette version ne semble pas corriger des failles de sécurité mais il est absolument capital de mettre à jour un CMS dès que possible.

    Et ce n'est pas en développant de multiples versions de plugins/thèmes compatibles avec les anciennes versions que les insoucieux vont mettre à jour. Donc, je propose de ne pas mettre à disposition la version du plugin compatible 5.1.3 pour favoriser les mises à jour.
  • memento a écrit:
    bonjour à tous et à toutes,
    je vous met à disposition un plugin qui va vous permettre de gérer finement les droits des différentes catégories d'utilisateurs enregistrés dans pluxml (rédacteur, éditeur, modérateur, manageur, administrateur) sur les différentes catégories du blog (article, catégorie, page statique, médias, paramètres, commentaire).
    Pour télécharger ce plugin et assurer son support, un ami m'a ouvert un espace sur son forum dont l'adresse est http://forum.lebrikabrak.info/index.php?p=forum&f_id=10.
    Je vous invite donc à vous y rendre si vous êtes intéressé par ce plugin.
    Cordialement.
    Merci! Très apprécié :)
  • mementomemento Membres
    Bonjour,
    je fais remonter ce sujet pour savoir si ceux qui ont testé ce plugin ont découvert des bugs ou s'ils ont découvert des incompatibilités avec d'autres plugins.
    Merci de vos remontées de test.
  • joebartjoebart Membres
    Hello, je suis hyper intéressé mais le plugin est-il à jour avec la dernière version du pluxml ? Merci encore :)
  • mementomemento Membres
    mai 2012 modifié
    Bonjour joebart,
    le plugin fonctionne avec la version 5.1.6 mais j'ai quand même fait une légère correction au niveau de l'affichage des droits dans le formulaire et j'ai aussi rajouté deux liens qui permettent de cocher ou décocher tous les droits en un seul clic de souris.
    Je te mets l'adresse de téléchargement de la mise à jour du plugin: http://forum.lebrikabrak.info/index.php?p=topic&p_id=2861#p2861
    Cordialement.
    PS : si tu constate des bugs ou bien si tu as des remarques, n'hésite pas à m'en faire part ici même ou dans l'autre forum.
  • joebartjoebart Membres
    Merci beaucoup :)
  • Bonsoir,
    j'ai fait une petite mise à jour nécessaire à la suite de la sortie de la version 5.1.7 de pluxml. Cette mise à jour est disponible à cette adresse :
    http://forum.lebrikabrak.info/index.php?p=topic&p_id=2998#p2998
    Bon téléchargement.
  • tanrougetanrouge Membres
    Bonjour,

    Ce plugin m'intéresse énormément. Heureux que vous ne l'ayez pas laissé tomber :)
  • bg62bg62 Membres
    tanrouge a écrit:
    Bonjour,

    Ce plugin m'intéresse énormément. Heureux que vous ne l'ayez pas laissé tomber :)
    personne ne laisse tomber personne ici !!!
    et ... heureux de te voir arriver sur ce forum ;)
    @+
  • Bonjour

    est-ce que plugin est compatible avec la dernière version de Pluxml?

    Merci
  • mementomemento Membres
    Bonsoir,
    cpalo a écrit:
    est-ce que plugin est compatible avec la dernière version de Pluxml ?
    Oui, j'ai juste fait une petite modification mineure pour coller parfaitement à la version 5.3.1
    Cordialement.
  • cpalocpalo Membres
    Bonjour

    Est-ce que ce plugin pourrait permettre que suivant le type d'utilisateur, certains plugins soient actifs ou non.

    Merci
  • Bonjour cpalo,
    cpalo a écrit:
    Est-ce que ce plugin pourrait permettre que suivant le type d'utilisateur, certains plugins soient actifs ou non.
    tu penses à quels plugins ?
  • cpalocpalo Membres
    Bonsoir,

    C'est une idée qui m'est venue un peu comme ça.
    Je refléchissais à quelle astuce trouver pour que l'on puisse configurer TinyMce de manière différente suivant les utilisateurs.
    Et cela pouvait être vrai pour d'autres plugins.
    Alors une idée c'était d'installer par exemple deuxTinyMce ( bien sur sur en modifant leur nom) avec deux configurations différentes..
    Mais je n'ai pas creuser plus.

    Bon we
  • Bonjour cpalo,
    en installant le plugin spxtinymce à cette adresse http://secretsitebox.fr/site/index.php?categorie2/pluxml-plugins#post-3, tu as la possibilité de configurer l'éditeur selon le type d'utilisateur (voir configuration du plugin).
    Cordialement.
  • Bonjour cpalo,
    le plugin tinyMCE de bazooka est encore plus adapté à ce que tu veux faire. D'ailleurs, je m'en vais l'installer sur les sites que je gère car c'est exactement ce qui me fallait.
  • cpalocpalo Membres
    @memento

    j'avais utilisé spxtinymce
    et depuis j'ai changé pour tinyMCE et là la dernière version apporte effectivement ce que je souhaitais
  • Bonjour,
    la mise à jour du plugin pour la version 5.4.0 de pluxml est disponible.
    Cordialement.
  • bg62bg62 Membres
    septembre 2016 modifié
    fonctionnel avec PluXml 5.5 = à tester !
    merci
    ;)
    Plugin Adm_users_rights 1.6 pour pluxml 5.5.0
  • trentaneltrentanel Membres
    janvier 2017 modifié
    Bonjour,

    Avec ce plugin, est-il possible de réserver la consultation d'une catégorie à un groupe d'utilisateurs ? au rédacteurs par exemple ?

    Ou alors PluXml permet-il de de réserver une catégorie aux utilisateurs inscrits ?
  • YannicYannic Membres
    février 2017 modifié
    Merci pour le plugin, je regardais à quelque chose comme cela et suis en train de tester.
    trentanel a écrit:
    Bonjour,

    Avec ce plugin, est-il possible de réserver la consultation d'une catégorie à un groupe d'utilisateurs ? au rédacteurs par exemple ?

    Ou alors PluXml permet-il de de réserver une catégorie aux utilisateurs inscrits ?


    Non il permet de régler les droits d'administration/création:
    61bf9b9b16.png

    Edit: Pas testé en 1.5.5 mais en 1.5.6 pose problèmes avec d'autres plugins
  • Bonjour,
    Yannic a écrit:
    Edit: Pas testé en 1.5.5 mais en 1.5.6 pose problèmes avec d'autres plugins
    Peux tu m'en dire davantage pour que je vois où se situe le problème ?
  • YannicYannic Membres
    février 2017 modifié
    memento a écrit:
    Bonjour,
    Yannic a écrit:
    Edit: Pas testé en 1.5.5 mais en 1.5.6 pose problèmes avec d'autres plugins
    Peux tu m'en dire davantage pour que je vois où se situe le problème ?

    Oups non en fait pas de problème avec la version 5.6 en fait.

    J'ai eu beaucoup de notices, warning et blocage avec "headers already sent" c'est du à plxMyMultiLingue plutôt je pense.

    Merci pour le plugin :)
  • Bonsoir,
    merci pour tes précisions.
    Yannic a écrit:
    J'ai eu beaucoup de notices, warning et blocage avec "headers already sent" c'est du à plxMyMultiLingue plutôt je pense.
    Pas forcément. Je vais installer plxMyMultiLingue et voir ce qui cloche.
  • @memento
    Il est maladroit (voir problématique) dans le constructeur de ton plugin de faire une référence à plxMotor.
    plxMotor appelle les constructeurs des plugins et toi ton constructeur fait référence à plxMotor. on se mort la queue au risque de créer des redondances cycliques. (exemple avec le plugin MultiLingue. dans mon plugin je fais un define d'une constante dans mon constructeur) et l'utilisation de ton plugin créé une erreur car en faisant appel à l'instance de plxMotor dans ton constructeur cela rappelle tous les constructeurs des plugins. D'où l'erreur disant que ma constante est déjà définie. Cela ne devrait pas se produire.
    Comme tu as besoin de connaitre le contenu de $this->plxMotor->aUsers, créer une fonction dédiée où dans cette fonction tu utiliseras une variable locale faisant référence à plxMotor(getInstance) pour récupérer le contenu de aUsers et le stocker dans une variable de ta classe. Mais n'appelle pas cette fonction à partir de ton constructeur de classe.

    Consultant PluXml

    Ancien responsable du projet

Connectez-vous ou Inscrivez-vous pour répondre.